/* vtysh_terminal_monitor => "terminal monitor [daemon]$daemon" */
DEFUN_CMD_FUNC_DECL(vtysh_terminal_monitor)
#define funcdecl_vtysh_terminal_monitor static int vtysh_terminal_monitor_magic(\
	const struct cmd_element *self __attribute__ ((unused)),\
	struct vty *vty __attribute__ ((unused)),\
	int argc __attribute__ ((unused)),\
	struct cmd_token *argv[] __attribute__ ((unused)),\
	const char * daemon)
funcdecl_vtysh_terminal_monitor;
DEFUN_CMD_FUNC_TEXT(vtysh_terminal_monitor)
{
#if 1 /* anything to parse? */
	int _i;
#if 0 /* anything that can fail? */
	unsigned _fail = 0, _failcnt = 0;
#endif
	const char *daemon = NULL;

	for (_i = 0; _i < argc; _i++) {
		if (!argv[_i]->varname)
			continue;
#if 0 /* anything that can fail? */
		_fail = 0;
#endif

		if (!strcmp(argv[_i]->varname, "daemon")) {
			daemon = (argv[_i]->type == WORD_TKN) ? argv[_i]->text : argv[_i]->arg;
		}
#if 0 /* anything that can fail? */
		if (_fail)
			vty_out (vty, "%% invalid input for %s: %s\n",
				   argv[_i]->varname, argv[_i]->arg);
		_failcnt += _fail;
#endif
	}
#if 0 /* anything that can fail? */
	if (_failcnt)
		return CMD_WARNING;
#endif
#endif

	return vtysh_terminal_monitor_magic(self, vty, argc, argv, daemon);
}

/* no_vtysh_terminal_monitor => "no terminal monitor [daemon]$daemon" */
DEFUN_CMD_FUNC_DECL(no_vtysh_terminal_monitor)
#define funcdecl_no_vtysh_terminal_monitor static int no_vtysh_terminal_monitor_magic(\
	const struct cmd_element *self __attribute__ ((unused)),\
	struct vty *vty __attribute__ ((unused)),\
	int argc __attribute__ ((unused)),\
	struct cmd_token *argv[] __attribute__ ((unused)),\
	const char * daemon)
funcdecl_no_vtysh_terminal_monitor;
DEFUN_CMD_FUNC_TEXT(no_vtysh_terminal_monitor)
{
#if 1 /* anything to parse? */
	int _i;
#if 0 /* anything that can fail? */
	unsigned _fail = 0, _failcnt = 0;
#endif
	const char *daemon = NULL;

	for (_i = 0; _i < argc; _i++) {
		if (!argv[_i]->varname)
			continue;
#if 0 /* anything that can fail? */
		_fail = 0;
#endif

		if (!strcmp(argv[_i]->varname, "daemon")) {
			daemon = (argv[_i]->type == WORD_TKN) ? argv[_i]->text : argv[_i]->arg;
		}
#if 0 /* anything that can fail? */
		if (_fail)
			vty_out (vty, "%% invalid input for %s: %s\n",
				   argv[_i]->varname, argv[_i]->arg);
		_failcnt += _fail;
#endif
	}
#if 0 /* anything that can fail? */
	if (_failcnt)
		return CMD_WARNING;
#endif
#endif

	return no_vtysh_terminal_monitor_magic(self, vty, argc, argv, daemon);
}

