/* autogenerated by embedmodel.py.  DO NOT EDIT */

#include <zebra.h>
#include "yang.h"

static const char model[] =
	"module frr-pim-rp {\n"
	"  yang-version \"1.1\";\n"
	"  namespace \"http://frrouting.org/yang/pim-rp\";\n"
	"\n"
	"  prefix frr-pim-rp;\n"
	"\n"
	"  import ietf-inet-types {\n"
	"    prefix \"inet\";\n"
	"  }\n"
	"\n"
	"  import frr-routing {\n"
	"    prefix \"frr-rt\";\n"
	"  }\n"
	"\n"
	"  import frr-pim {\n"
	"    prefix \"frr-pim\";\n"
	"  }\n"
	"\n"
	"  import frr-route-types {\n"
	"    prefix frr-route-types;\n"
	"  }\n"
	"\n"
	"  organization\n"
	"    \"FRRouting\";\n"
	"\n"
	"  contact\n"
	"    \"FRR Users List:       <mailto:frog@lists.frrouting.org>\n"
	"     FRR Development List: <mailto:dev@lists.frrouting.org>\";\n"
	"\n"
	"  description\n"
	"    \"The module defines a collection of YANG definitions common for\n"
	"     all PIM (Protocol Independent Multicast) RP (Rendezvous Point) model.\n"
	"\n"
	"     Copyright 2020 FRRouting\n"
	"\n"
	"     Redistribution and use in source and binary forms, with or without\n"
	"     modification, are permitted provided that the following conditions\n"
	"     are met:\n"
	"\n"
	"     1. Redistributions of source code must retain the above copyright notice,\n"
	"     this list of conditions and the following disclaimer.\n"
	"\n"
	"     2. Redistributions in binary form must reproduce the above copyright\n"
	"     notice, this list of conditions and the following disclaimer in the\n"
	"     documentation and/or other materials provided with the distribution.\n"
	"\n"
	"     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS\n"
	"     \\\"AS IS\\\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\n"
	"     LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n"
	"     A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT\n"
	"     HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n"
	"     SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n"
	"     LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n"
	"     DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\n"
	"     THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n"
	"     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE\n"
	"     OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\";\n"
	"\n"
	"  revision 2017-03-09 {\n"
	"    description\n"
	"      \"Initial revision.\";\n"
	"    reference\n"
	"      \"RFC XXXX: A YANG Data Model for PIM RP\";\n"
	"  }\n"
	"\n"
	"  typedef plist-ref {\n"
	"    type string;\n"
	"  }\n"
	"\n"
	"  /*\n"
	"   * Groupings\n"
	"   */\n"
	"  grouping static-rp-container {\n"
	"    description\n"
	"      \"Grouping of static RP container.\";\n"
	"\n"
	"    container static-rp {\n"
	"      description\n"
	"        \"Containing static RP attributes.\";\n"
	"\n"
	"      list rp-list {\n"
	"        key \"rp-address\";\n"
	"        description\n"
	"          \"A list of RP addresses.\";\n"
	"\n"
	"        leaf rp-address {\n"
	"          type inet:ip-address;\n"
	"          description\n"
	"            \"Specifies a static RP address.\";\n"
	"        }\n"
	"\n"
	"        choice group-list-or-prefix-list {\n"
	"          description \"Use group-list or prefix-list\";\n"
	"          case group-list {\n"
	"            leaf-list group-list{\n"
	"              type frr-route-types:ip-multicast-group-prefix;\n"
	"              description\n"
	"                \"List of multicast group address.\";\n"
	"            }\n"
	"          }\n"
	"          case prefix-list {\n"
	"            leaf prefix-list {\n"
	"              type plist-ref;\n"
	"              description\n"
	"                \"Group prefix-list filter\";\n"
	"            }\n"
	"          }\n"
	"        }\n"
	"      }\n"
	"    } // static-rp\n"
	"  } // static-rp-container\n"
	"\n"
	"  /*\n"
	"   * Configuration data nodes\n"
	"   */\n"
	"  augment \"/frr-rt:routing/frr-rt:control-plane-protocols/\"\n"
	"    + \"frr-rt:control-plane-protocol/frr-pim:pim/\"\n"
	"    + \"frr-pim:address-family\" {\n"
	"    description \"PIM RP augmentation.\";\n"
	"\n"
	"    container rp {\n"
	"      description\n"
	"        \"PIM RP configuration data.\";\n"
	"      uses static-rp-container;\n"
	"    } // rp\n"
	"  } // augment\n"
	"}\n"
	"";

static struct yang_module_embed embed = {
	.mod_name = "frr-pim-rp",
	.mod_rev = "2017-03-09",
	.sub_mod_name = "",
	.sub_mod_rev = "",
	.data = model,
	.format = LYS_IN_YANG,
};

static void embed_register(void) __attribute__((_CONSTRUCTOR(2000)));
static void embed_register(void)
{
	yang_module_embed(&embed);
}
